/*
 *  Copyright 2020-2024 Yuntu Microelectronics co.,ltd
 *  All rights reserved.
 * 
 *  YUNTU Confidential. This software is owned or controlled by YUNTU and may only be
 *  used strictly in accordance with the applicable license terms. By expressly
 *  accepting such terms or by downloading, installing, activating and/or otherwise
 *  using the software, you are agreeing that you have read, and that you agree to
 *  comply with and are bound by, such license terms. If you do not agree to be
 *  bound by the applicable license terms, then you may not retain, install,
 *  activate or otherwise use the software. The production use license in
 *  Section 2.3 is expressly granted for this software.
 * 
 * @file Dio_Cfg.c
 * @brief 
 * 
 */



#include "Dio.h"

/*==================================================================================================
*                              SOURCE FILE VERSION INFORMATION
==================================================================================================*/
#define DIO_VENDOR_ID_CFG_C                      (180)
#define DIO_AR_RELEASE_MAJOR_VERSION_CFG_C       (4)
#define DIO_AR_RELEASE_MINOR_VERSION_CFG_C       (4)
#define DIO_AR_RELEASE_REVISION_VERSION_CFG_C    (0)
#define DIO_SW_MAJOR_VERSION_CFG_C               (1)
#define DIO_SW_MINOR_VERSION_CFG_C               (0)
#define DIO_SW_PATCH_VERSION_CFG_C               (0)

/*==================================================================================================*/

#if (DIO_CHANNEL_GROUP_NUMBER != 0)

#define DIO_START_SEC_CONFIG_DATA_UNSPECIFIED
#include "Dio_MemMap.h"

/**
* @brief          List of channel groups in configuration DioConfig.
*/
DIO_CONST const Dio_ChannelGroupType Dio_ChannelGroupConfig[DIO_CHANNEL_GROUP_NUMBER] = 
{
};


#define DIO_STOP_SEC_CONFIG_DATA_UNSPECIFIED
#include "Dio_MemMap.h"
#endif

